### Enumeration

# Qmi DataEndpointType

since: 1.18

#### Declaration

    enum Qmi.DataEndpointType

#### Description [src]

Data Endpoint Type.

Available since: 1.18

#### Members

`QMI_DATA_ENDPOINT_TYPE_UNKNOWN`

  Unknown. Since 1.30.

  - Value: `0`
  - Available since: 1.18
`QMI_DATA_ENDPOINT_TYPE_HSIC`

  High-speed inter-chip interface. Since 1.30.

  - Value: `1`
  - Available since: 1.18
`QMI_DATA_ENDPOINT_TYPE_HSUSB`

  High-speed USB.

  - Value: `2`
  - Available since: 1.18
`QMI_DATA_ENDPOINT_TYPE_PCIE`

  PCIe. Since 1.28.

  - Value: `3`
  - Available since: 1.18
`QMI_DATA_ENDPOINT_TYPE_EMBEDDED`

  Embedded. Since 1.28.

  - Value: `4`
  - Available since: 1.18
`QMI_DATA_ENDPOINT_TYPE_BAM_DMUX`

  BAM/DMUX. Since 1.30.

  - Value: `5`
  - Available since: 1.18
`QMI_DATA_ENDPOINT_TYPE_UNDEFINED`

  Undefined.

  - Value: `255`
  - Available since: 1.18

#### Type functions

###### qmi_data_endpoint_type_get_string

Gets the nickname string for the `QmiDataEndpointType` specified at `val`.

since: 1.18